<?/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();?>
<script language="javascript" src="libs/Vanadium/vanadium.js"></script>
<script>
var aleatorios = new Array();
$j_6(document).ready(function() {
	$j_6('#loading').hide();
    $j_6().ajaxStart(function() {
        $j_6('#loading').show();
        $j_6('#resultPerfil').hide();
    }).ajaxStop(function() {
        $j_6('#resultPerfil').fadeIn('slow');
		$j_6('#loading').hide();
    });
		 var options = {
			 beforeSubmit: function() {
					if(!$j_6("#email2").correo())
						return false;
				},
			success:  function(data) {
						if(data == ""){
							window.location.reload();
						}else{
							$j_6('#resultPerfil').html(data);
						}
		}
		};
		$j_3('#formUser').ajaxForm(options);
      
   $j_6("#email2").change(function () {
   		$j_6("#email2").each(function () {
				
				var email=$j_6(this).val();
				/*if(email == ""){
					var cuerpoValida='<font color="red"><strong>Ingrese el correo</strong></font> <img src="Imagenes/Eraser.png" width="16" height="16"/>';
					$j_6("#validaEmail").html(cuerpoValida);
					//$j_6("#email2").val("");
					$j_6("#email2").select();
				}else */if($j_6("#email2").correo())
				{
					var cuerpoValida='<font color="green"><strong>Email valido</strong></font> <img src="Imagenes/accept.png" width="16" height="16"/>';
					$j_6("#validaEmail").html(cuerpoValida);
				}else{
					var cuerpoValida='<font color="red"><strong>Email <font color="blue">'+email+'</font> no valido</strong></font> <img src="Imagenes/Eraser.png" width="16" height="16"/>';
					$j_6("#validaEmail").html(cuerpoValida);
				}
        });
		//$('embed').remove();
        //$('body').append('<embed src="click.wav" autostart="true" hidden="true" loop="false">');
   });
   
   $j_6.fn.correo=function()
	{
		if(/^\w+([\.-]?\w+)*@\w+([\.-]?\w+)*(\.\w{2,3})+$/.test($j_6(this).val()))
		{
			return true;
		}
		else
		{
			return false;
		}
	}
	
});

function maximo(campo,limite){
if(campo.value.length>=limite){
campo.value=campo.value.substring(0,limite);
 }
}
</script>
<link href="CSS/super_css.css" rel="stylesheet" type="text/css" />
<link href="css/common.css" rel="stylesheet" type="text/css" />
<?
require "conexion/conectar.php";

$conexion = new CONDB();
$conexion->conectar();

$rfc="";
$razonSocial="";
$telefono="";
$contacto="";
$usr="";
$nombre="";
$pass="";
$email2="";
$puesto="";
if(isset($_GET['desde']) && $_GET['desde'] == "menu")
	$query="SELECT nombre_cliente,puesto,telefono,contactoP,email,username,nombre,pass,u.RFC_Cliente,esAdmin,todoRFC,u.esProv,u.taxId,activado,permisosP FROM usuariosweb u, clienteweb c WHERE c.rfc_cliente=u.rfc_cliente and username='".$_SESSION['usuario_p_prov_absa']."' LIMIT 1";
else
	$query="SELECT nombre_cliente,puesto,telefono,contactoP,email,username,nombre,pass,u.RFC_Cliente,esAdmin,todoRFC,u.esProv,u.taxId,activado,permisosP FROM usuariosweb u, clienteweb c WHERE c.rfc_cliente=u.rfc_cliente and username='".$_POST["id"]."' LIMIT 1";

$rquery = mysqli_query($conexion->CONEXION,$query);

if(mysqli_num_rows($rquery) > 0){
	$temp=mysqli_fetch_array($rquery,MYSQLI_ASSOC);
	$rfc=$temp['RFC_Cliente'];
	$razonSocial=$temp['nombre_cliente'];
	$telefono=$temp['telefono'];
	$contacto=$temp['contactoP'];
	$usr=$temp['username'];
	$nombre=$temp['nombre'];
	$email2=$temp['email'];
	$puesto=$temp['puesto'];
	$pass=$temp['pass'];
}
$lblContacto="";
if(file_exists("config.ini")){
	$vlineas = file("config.ini"); 
 
	foreach ($vlineas as $sLinea) {
			if(substr($sLinea,0,14) == "LABELCONTACTO="){
				$lblContacto=trim(str_replace("LABELCONTACTO=","",$sLinea));
			}
		}
}
if($lblContacto == "")
	$lblContacto="Contacto de ventas del proveedor";
?>
<center>
<table class="td_general" bgcolor="white" width="800">
<tr>
	<td valign="top" class="txt_logindat_13" width="800" height="35"><div id="resultPerfil"></div></td>
	<!--<td valign="top" class="txt_logindat_13" width="35"><div id="loading"><img src="Imagenes/loading.gif" width="28" height="25"></div></td>-->
</tr>
<tr>
<td>
<table bgcolor="#FFFFFF">
		<tr>
			<td valign="top" class="txt_logindat" align="center"><center><h2>PERFIL DE USUARIO</h2></center></td>
		</tr>
</table>
</td>
</tr>
<tr>
<td>
		<form name="formUser" id="formUser" action="updatePerfilUser.php" method="post">
        <table class="td_general" bgcolor="#FFFFFF">
        <tr>
		<td valign="top" class="txt_logindat" colspan="4">
		<br/>
		<strong>Datos de la Empresa</strong>
		<br/>
		<table class="td_general" width="750">
		<tr>
        <td valign="top" class="txt_logindat" width="250">
		<strong>R.F.C. * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" <?if(isset($_GET['desde']) && $_GET['desde']=='menu'){?>readOnly="true"<?}?> value="<?=$rfc?>" onKeyUp="onlyAlphaNumericWithAmp(this);" size="60" name="rfc" id="rfc" class=":required Logers">
		<input type="hidden" value="<?=$rfc?>" name="rfcBD" id="rfcBD">
		<?if(isset($_GET['desde']) && $_GET['desde']=='menu'){?>
		<input type="hidden" value="desde" name="desde" id="desde">
		<?}?>
		<div id="validaRFC"></div>
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Raz&oacute;n Social * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" size="60" <?if(isset($_GET['desde']) && $_GET['desde']=='menu'){?>readOnly="true"<?}?> value="<?=$razonSocial?>" name="nombreEmpresa" id="nombreEmpresa" class=":required Logers">
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="100">
		<strong>Telefono * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" size="60" value="<?=$telefono?>" name="telefono" id="telefono" class=":required Logers">
		</td>
		</tr>
		<tr>
        <td valign="top" class="txt_logindat" width="200">
		<strong><?=$lblContacto?> * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="2">
		<input type="text" size="60" value="<?=$contacto?>" name="contacto" id="contacto" class=":required Logers">
		</td>
		</tr>
		</table>
		</td>
        <td colspan="4" valign="top" class="txt_logindat"><br></td>
        </tr>
		<tr>
		<td valign="top" class="txt_logindat" colspan="4">
		<strong>Datos Personales</strong>
		<br>
		<table class="td_general">
		<tr>
		<td valign="top" class="txt_logindat" width="180">
		<strong>Usuario: * :</strong>		
        </td>
		<td valign="top" class="txt_logindat" width="170">
		<input type="text" readOnly="true" value="<?=$usr?>" size="35" onKeyUp="onlyAlphaNumericWith_point_guion(this)" maxlength="13" name="usr" id="usr" class=":required Logers" value="<?=$usr?>" />
		<div id="validaUser"></div>
		</td>
        <td valign="top" class="txt_logindat" width="280">
        <strong>Nombre * :</strong>
        </td>
        <td valign="top" class="txt_logindat" width="455">
        <input type="text" size="35" value="<?=$nombre?>" onBlur="toUpper(this)" name="nombre" id="nombre" class=":required Logers" value="<?=$nombre?>" maxlength="100"/>
        <br><br>
        </td>
        </tr>
		<tr>
		<td valign="top" class="txt_logindat" width="280">
		<strong>Contrase&ntilde;a: * :</strong>		
        </td>
		<td valign="top" class="txt_logindat" width="170">
		<input type="password" value="<?=$pass?>" maxlength="15" size="35" name="pass" id="pass" class="<?if(!isset($_GET['usr'])) echo ":required ";?>Logers"/>
		<input type="hidden" value="<?=$pass?>" name="passBD" id="passBD"/>
		</td>
        <td valign="top" class="txt_logindat" width="95">
        <strong>E-Mail * :</strong>
        </td>
        <td valign="top" class="txt_logindat" width="455">
        <input type="text" size="35" name="email2" value="<?=$email2?>" id="email2" class=":required Logers">
		<div id="validaEmail"></div>
        </td>
        </tr>
		<tr>
		<td valign="top" class="txt_logindat" width="115">
		<strong>Puesto * :</strong>
        </td>
		<td valign="top" class="txt_logindat" colspan="3">
		<input type="text" maxlength="255" value="<?=$puesto?>" size="35" onBlur="toUpper(this)" name="puesto" id="puesto" class=":required Logers" value="<?=$puesto?>"/>
		</td>
        </tr>
		</table>
		</td>
		</tr>
        <tr>
        <td colspan="4">
        <? echo btnNavegacion("index.php");?>
        </td>
        </tr>
		</table>
        </form>
</td>
</tr>
</table>
</center>

<?
function btnNavegacion($url)
{
?>	
		<input type="submit" class="estilo_btn" value="GUARDAR" name="registrar" id="registrar"/> 
<?}?>